﻿# alle Skripts im Rootordner des Moduls finden:
$StartLoad = Get-Date

Get-ChildItem -Path $PSScriptRoot -filter *.ps1 |
	Where-Object { $_.Extension -eq '.ps1' } |
	ForEach-Object {
		$start = Get-Date
  		. $_.FullName
  		$ende = Get-Date
  		# hat der Ladevorgang verdächtig lange gedauert?
  		$dauer = ($ende - $start).TotalSeconds

		Write-Verbose ('Ladezeit des Scripts "{0}": {1} Sekunden.' -f $_.Name, $dauer)

 		if ($dauer -gt 2) {
			Write-Warning ('Sehr lange Ladezeit des Scripts "{0}": {1} Sekunden.' -f $_.Name, $dauer)
			Write-Warning 'Dies ist ein Hinweis, dass im Skript unbeabsichtigte Befehle ausgeführt werden.'
		}
	}

Get-ChildItem -Path $PSScriptRoot -filter *.dll | Foreach-Object { Import-Module $_.Fullname}

# alle Format-Daten im Rootordner des Moduls finden:
Get-ChildItem -Path $PSScriptRoot -Filter *format.ps1xml |
	Where-Object { $_.Extension -eq '.ps1xml' } |
	Foreach-Object { Update-FormatData -PrependPath $_.FullName }

$EndLoad = Get-Date
$dauerLoad = ($EndLoad - $StartLoad).TotalSeconds
if ( $dauerLoad -gt 0.25) { Write-Warning ('Gesamtladedauer betrug {0} Sek, Grenzwert ist 0,25 Sek.' -f $dauerLoad) }