﻿function Test-ipxISE{
    <#
        .Synopsis
            Testet ob die ISE gestartet wurde.
        .Description
            Wenn die ISE anstatt der Console gestartet wurde, gibt die Funktion $true zurück, sonst $false.
        .Inputs
            None
        .Outputs
            System.Boolean
        .Notes
            Version: 1.0.0.0
            Datum: 1.3.2015
        .Component
            None
    #>

    if( $psISE -ne $null ) {
        return $true;
    }
    else {
        return $false;
    }        
}

function New-ipxISEDummy {
    <#
        .Synopsis
            Legt einen neuen Funktionsrumpf an.
        .Description
            Läd den Inhalt aus \ipx\ini\ISE_dummy.txt und fügt sie an einer leeren Position im ISE-Editor ein.
        .Inputs
            None
        .Outputs
            Text in ISE
        .Notes
            Version: 1.0.0.0
            Datum: 1.3.2015
        .Component
            Benötigt die ISE, nicht in der Console benutzbar.
    #>

    if ($psISE -eq $null)  {
        Write-Host "ISE-Erweiterungen funktionieren nicht in der Konsole!" -ForegroundColor Red
    }
    else {
        $dummy = New-Object psobject
        $dummy | Add-Member NoteProperty FullName ($env:PSModulePath.Split(";")[-1] + "\ipx\ini\ISE_Dummy.txt")
        $dummy | Add-Member NoteProperty Content (Get-Content -Path $dummy.FullName)
    
        if ( ($psISE.CurrentFile.Editor.GetLineLength($psISE.CurrentFile.Editor.CaretLine)) -eq 0) {
            $psISE.CurrentFile.Editor.InsertText("`r`n")
            foreach ( $line in $dummy.Content ) {
                $psISE.CurrentFile.Editor.InsertText("$line`r`n")
            }
        }
        else {
            Write-Host "An der gewählten Cursorposition befand sich bereits Inhalt, eventuell auch nur ein Leerzeichen. Ich habe nichts eingefügt!" -ForegroundColor Red
        
        }
    }
}

if ( Test-ipxISE ) {
    $psISE.CurrentPowerShellTab.AddOnsMenu.Submenus.Clear()
    $psISE.CurrentPowerShellTab.AddOnsMenu.Submenus.Add("Dummy Cmdlet ein_fügen", {New-ipxISEDummy}, "Alt+I" ) | Out-Null

    Write-Host "ipx ISE Add-On" -ForegroundColor Green
}