﻿<#
    .Synopsis
        Erweitert die lokale Powershell Session um die verfügbaren Module
#>

[string]$MyModuls = "\\server\share\"

if ( Test-Path -path $MyModuls\Modules) {
    $env:PSModulePath += ";$MyModuls\Modules"
    Get-ChildItem -Path $MyModuls\Modules -Directory | ForEach-Object { 
        Import-Module $_ -ErrorAction SilentlyContinue

        if (Get-Module -ListAvailable -Name $_.Name) {
            Write-Host $_.Name -ForegroundColor Green
        } else {
            Write-Host $_.Name.ToString() "konnte nicht geladen werden" -ForegroundColor Red
        }
    }
    if ( Test-Path -Path $MyModuls\Scripts ){
        $env:Path += ";$MyModuls\Scripts"
    }
}
else {
    if ( Test-Path -Path $env:userprofile\Documents\MyPowershell\Modules) {
        $env:PSModulePath += ";$env:userprofile\Documents\MyPowershell\Modules"
        Get-ChildItem -Path $env:userprofile\Documents\MyPowershell\Modules -Directory | ForEach-Object { 
	    Import-Module $_
	
	    if (Get-Module -ListAvailable -Name $_.Name) {
                Write-Host $_.Name -ForegroundColor Green
            } else {
                Write-Host $_.Name.ToString() "konnte nicht geladen werden" -ForegroundColor Red
            }
        }
    }
    if ( Test-Path -Path $env:userprofile\Documents\MyPowershell\Scripts) {
        $env:Path += ";$env:userprofile\Documents\MyPowershell\Scripts"
    }
    
}